# Class ObservationsRequest

Namespace
  adas_core.Domain.Models.Observations

Assembly
  adas-core.Domain.dll

Represents a request for retrieving observations data, typically used to encapsulate query parameters or filtering criteria when interacting with an observations service or repository.

    public class ObservationsRequest

Inheritance
  object
  ObservationsRequest

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### EndTime

    public DateTime? EndTime { get; set; }

#### Property Value

DateTime?

### ObservationNames

    public List<string>? ObservationNames { get; set; }

#### Property Value

List<string>

### PageNumber

    public int PageNumber { get; set; }

#### Property Value

int

### PageSize

    public int PageSize { get; set; }

#### Property Value

int

### PatientNumber

    public string? PatientNumber { get; set; }

#### Property Value

string

### StartTime

    public DateTime? StartTime { get; set; }

#### Property Value

DateTime?